#! /usr/bin/env python
# -*- coding: utf8 -*-

import gtk, os, string, gettext
from util import *
_ = gettext.gettext

####################################################################################################

def message_dialog(window, text, list, buttons_ok=None, list_type="list"):
    # Возвращает True если нажата OK
    if ( list_type == "list" ):
	for item in list:
	    text = text+"\n"+item[0]
    elif ( list_type == "str" ):
	for item in list:
	    text = text+"\n"+item
	    
    dialog = gtk.MessageDialog(window, 0, gtk.MESSAGE_INFO, gtk.BUTTONS_NONE, text)
    if ( buttons_ok == True ):
        dialog.add_button(_("Ok"), gtk.BUTTONS_OK)
    dialog.add_button(_("Cancel"), gtk.BUTTONS_CANCEL)
    if (dialog.run() == gtk.BUTTONS_OK):
        dialog.destroy()
        return True
    else:
        dialog.destroy()
        return False
            
####################################################################################################            

def about_dialog(data):
    about = gtk.AboutDialog()
    about.set_name("LTS User Control")
    about.set_comments("Management program for terminal server\n"
        "Special for ALT Linux Shool Terminal")

    about.set_version("1.0 alpha1")
    about.set_copyright("Copyright (c) 2013 Andrey Burbovskiy\n Email: xak-altsp@yandex.ru")
    about.set_authors([""])
    about.set_license("GPL v2")
    #about.set_logo(gtk.gdk.pixbuf_new_from_file(""))
    about.run()
    about.destroy()
	
####################################################################################################

